This is the multi-page printable view of this section. Click here to print.
List Transit Gateway VPC Connections
1 - 1.3
get /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Get Transit Gateway VPC Connection list.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Transit Gateway VPC Connection ID Example : ffeced8e191c478eabd66b6e2cab8e34 | any of [string, null] | None |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC Name Example : vpcName | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayVpcConnectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_vpc_connections": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "ffeced8e191c478eabd66b6e2cab8e34",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "ACTIVE",
"transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
2 - 1.2
get /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Get Transit Gateway VPC Connection list.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Transit Gateway VPC Connection ID Example : ffeced8e191c478eabd66b6e2cab8e34 | any of [string, null] | None |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC Name Example : vpcName | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayVpcConnectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_vpc_connections": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "ffeced8e191c478eabd66b6e2cab8e34",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "ACTIVE",
"transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
3 - 1.1
get /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Get Transit Gateway VPC Connection list.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Transit Gateway VPC Connection ID Example : ffeced8e191c478eabd66b6e2cab8e34 | any of [string, null] | None |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC Name Example : vpcName | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayVpcConnectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_vpc_connections": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "ffeced8e191c478eabd66b6e2cab8e34",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "ACTIVE",
"transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}
4 - 1.0
get /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Get Transit Gateway VPC Connection list.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : fe860e0af0c04dcd8182b84f907f31f4 | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Transit Gateway VPC Connection ID Example : ffeced8e191c478eabd66b6e2cab8e34 | any of [string, null] | None |
| query | vpc_id optional | VPC Id Example : 7df8abb4912e4709b1cb237daccca7a8 | any of [string, null] | None |
| query | vpc_name optional | VPC Name Example : vpcName | any of [string, null] | None |
| query | state optional | State Example : ACTIVE | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayVpcConnectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_vpc_connections": [
{
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "ffeced8e191c478eabd66b6e2cab8e34",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "ACTIVE",
"transit_gateway_id": "fe860e0af0c04dcd8182b84f907f31f4",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
]
}